Name:		alsamixergui
Summary: 	GUI mixer for ALSA sound devices
Version:	0.9.0
Release:	0.9.rc2%{?dist}
License:	GPLv2+
Group:		Applications/System
# This is where the source used to live, but this upstream is dead.
# Source0:	ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%{name}-%{version}rc1-2.tar.gz
# This tarball was taken from Debian, and is the most recent version as far as I know.
Source0:	http://ftp.de.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1.orig.tar.gz
Source1:	alsamixergui.desktop
Source2:	alsamixergui.png
# This site is dead and gone.
URL:		ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	fltk-devel, libstdc++-devel
BuildRequires:	alsa-lib-devel, desktop-file-utils
BuildRequires:	libtool
# This is debian's patch, taken 2009-08-17
Patch0:		alsamixergui_0.9.0rc2-1-9.diff

%description
alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the gui
part, so it provides exactly the same functionality, but with a
graphical userinterface.

%prep
%setup -q -n %{name}-%{version}rc2-1.orig
%patch0 -p1 -b .debian
autoreconf -i
chmod +x configure

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/alsamixergui
%{_datadir}/applications/fedora-alsamixergui.desktop
%{_datadir}/pixmaps/alsamixergui.png

%changelog
* Mon Aug 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0-0.9.rc2
- fix buildrequires

* Mon Aug 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0-0.8.rc2
- fix debian patch to apply (i swear, it applied just a second ago)

* Mon Aug 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0-0.7.rc2
- update to rc2, last known update

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.6.rc1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.5.rc1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-0.4.rc1.2
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-0.3.rc1.2
- rebuild for BuildID

* Sun Sep 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-0.3.rc1
- bump for fc6

* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-0.2.rc1
- add desktop entry

* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-0.1.rc1
- Initial package for Fedora Extras
